#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/arts/gui/common
  ${CMAKE_BINARY_DIR}/arts/gui/common
  ${ARTS_INCLUDE_DIRS}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${ARTS_LIBRARY_DIRS}
)


##### libartseffects (module) ###################

tde_add_kpart( libartseffects
  SOURCES
    artseffects.cc extrastereo_impl.cc
  LINK
    artsgui_idl-shared ${ARTS_LIBRARIES}
    mcop kmedia2_idl artsflow artsflow_idl soundserver_idl
  DESTINATION ${LIB_INSTALL_DIR}
)

add_custom_command(
  OUTPUT
    artseffects.cc artseffects.h
  COMMAND ${ARTS_MCOPIDL_EXECUTABLE} -t
    -I${CMAKE_BINARY_DIR}/arts/gui/common
    -I${CMAKE_SOURCE_DIR}/arts/gui/common
    -I${ARTS_INCLUDEDIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/artseffects.idl
  DEPENDS artseffects.idl
)


##### other data ################################

install(
  FILES
    ExtraStereo.mcopclass
    VoiceRemoval.mcopclass
    RawWriter.mcopclass
    ExtraStereoGuiFactory.mcopclass
  DESTINATION ${LIB_INSTALL_DIR}/mcop
)

install(
  FILES
    ${CMAKE_CURRENT_BINARY_DIR}/artseffects.mcoptype
    ${CMAKE_CURRENT_BINARY_DIR}/artseffects.mcopclass
  DESTINATION ${LIB_INSTALL_DIR}/mcop
)
